关于我们

质量为本、客户为根、勇于拼搏、务实创新

< 返回新闻公共列表

远程桌面时出现“身份验证错误,要求的函数不受支持”解决办法

发布时间:2022-06-18 13:37:29

远程桌面时 “出现身份验证错误,要求的函数不受支持”的错误,是什么原因,如何解决呢?

1.png

这是由于本地客户端或者服务器端一方更新了CVE-2018-0886 的 CredSSP 补丁,而另外一方未安装更新的原因导致的,详见官方

 

远程桌面时出现“身份验证错误,要求的函数不受支持”解决办法如下


方法一

本地电脑和服务器端都同时安装更新补丁,更新以后重启服务器。

补丁单独下载地址:

win 7、win2008 R2:KB4103718 

win 8、win2012:KB4103730

win10、win2016 :KB4103721

注意下载对应版本补丁进行安装。

 

方法二

1、在运行里面输入gpedit.msc打开策略

2、找到该路径:“计算机配置”->“管理模板”->“系统”->“凭据分配” 在右边设置名称找到 “加密 Oracle 修正”,将保护级别更改为“易受攻击”。

3、修改以后在运行里面输入gpupdate更新策略。

2.png


有些用户可能是英文界面,英文界面如图所示设置


3.png


方法三

若本地是win7系统,且没有 【加密 Oracle 修正】 选项请先创建比如reg.txt文件将如下代码添加到文件保存保存后将txt后缀更改为reg然后双击reg.reg导入到注册表重启电脑即可。


4.png

Windows Registry Editor Version 5.00

 

[HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Policies\System\CredSSP\Parameters]

 

"AllowEncryptionOracle"=dword:00000002



/template/Home/ZunUI/PC/Static